Page MenuHomePhabricator

Request WMF-NDA project access for APalmer_WMF and MPaulson
Closed, ResolvedPublic

Description

Hi can we put my colleague Aeryn Palmer (APalmer_WMF) on the WMF-NDA project.

Thanks!

Zhou

Event Timeline

ZhouZ created this task.May 2 2016, 6:45 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 2 2016, 6:45 PM

Apparently Michelle Paulson (MPaulson) might also not be on the list, so can you add her as well?

ZhouZ renamed this task from Request WMF-NDA project access for APalmer_WMF to Request WMF-NDA project access for APalmer_WMF and MPaulson.May 2 2016, 7:06 PM

WMF's internal guide states "Wiki accounts for new hires are generally created by Office IT" (cf. WMF's internal onboarding docs).

I might be overcautious. Hence Security folks are more than welcome to "overrule" me.

I'm stuck here. :(
If anyone has an idea who could investigate those two accounts? Maybe Jalexander...?

Aklapper triaged this task as Normal priority.Jul 22 2016, 10:46 AM

Hi @Aklapper, what can we do to get me access? Can @ZhouZ or another member of the legal team verify that this is my account and that I need access to the group, or are there are other steps to take? Thanks!

Hi @Aklapper, what can we do to get me access? Can @ZhouZ or another member of the legal team verify that this is my account and that I need access to the group

@APalmer_WMF: I myself do not know what to do when the onboarding process isn't followed. Hence feedback from Legal would be very welcome here, indeed! Thanks :)

Hi @Aklapper, thank you for your diligence on this issue. I am not sure that on boarding guide is wholly comprehensive. For example, last time, Quim vouched for me in an ad-hoc manner as well. So perhaps this should be documented somewhere else - if you feel that would be helpful, we can help draft something.

I think in this special one-time case, speaking for Legal, please just provide NDA project access for @APalmer_WMF and @Mpaulson.

Thanks,

Zhou

Aklapper closed this task as Resolved.Aug 7 2016, 12:55 PM
Aklapper claimed this task.

@ZhouZ: It would definitely be very helpful as I neither like being a bottleneck nor jeopardizing our security, and it's not the first time this deadlock situation appears...
Separate followup task for that, or how would you prefer to track work on this?

As @ZhouZ is already a member of WMF-NDA I've granted membership to @APalmer_WMF in https://phabricator.wikimedia.org/project/manage/61/#26663.
@Mpaulson was already added in June in https://phabricator.wikimedia.org/project/manage/61/#24297 by Chase.

@Aklapper thanks!

We can just track the follow-up here: https://phabricator.wikimedia.org/T98722

Thanks for your help, @Aklapper!